% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/as_xmp.R
\name{as_xmp}
\alias{as_xmp}
\alias{as_xmp.docinfo}
\alias{as_xmp.list}
\title{Coerce to xmp objects}
\usage{
as_xmp(x, ...)

\method{as_xmp}{docinfo}(x, ...)

\method{as_xmp}{list}(x, ...)
}
\arguments{
\item{x}{An object that can reasonably be coerced to a \code{\link[=xmp]{xmp()}} object.}

\item{...}{Further arguments passed to or from other methods.}
}
\value{
An \code{\link[=xmp]{xmp()}} object.
}
\description{
\code{as_xmp()} coerces objects into an \code{\link[=xmp]{xmp()}} object.
}
\examples{
 di <- docinfo(author = "John Doe", title = "A Title")
 as_xmp(di)

 l <- list(`dc:creator` = "John Doe", `dc:title` = "A Title")
 as_xmp(l)
}
