% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/xmpdf-package.R
\docType{package}
\name{xmpdf}
\alias{xmpdf}
\alias{xmpdf-package}
\title{xmpdf: Edit 'XMP' Metadata and 'PDF' Bookmarks and Documentation Info}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Edit 'XMP' metadata \url{https://en.wikipedia.org/wiki/Extensible_Metadata_Platform} in a variety of media file formats as well as edit bookmarks (aka outline aka table of contents) and documentation info entries in 'pdf' files. Can detect and use a variety of command-line tools to perform these operations such as 'exiftool' \url{https://exiftool.org/}, 'ghostscript' \url{https://www.ghostscript.com/}, and/or 'pdftk' \url{https://gitlab.com/pdftk-java/pdftk}.
}
\section{Package options}{

The following \code{xmpdf} option may be set globally via \code{\link[base:options]{base::options()}}:
\describe{
\item{xmpdf_default_lang}{Set new default \code{default_lang} argument value for \code{\link[=as_lang_alt]{as_lang_alt()}}.}
}
}

\seealso{
Useful links:
\itemize{
  \item \url{https://trevorldavis.com/R/xmpdf/dev/}
  \item Report bugs at \url{https://github.com/trevorld/r-xmpdf/issues}
}

}
\author{
\strong{Maintainer}: Trevor L Davis \email{trevor.l.davis@gmail.com} (\href{https://orcid.org/0000-0001-6341-4639}{ORCID})

Other contributors:
\itemize{
  \item W. Trevor King Some pdf code adapted from 'pdf-merge.py' [contributor]
  \item Linux Foundation (Uses some data from the "SPDX License List" <https://github.com/spdx/license-list-XML>) [data contributor]
}

}
